> ## Documentation Index
> Fetch the complete documentation index at: https://docs.givebutter.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a recurring plan



## OpenAPI

````yaml https://givebutter.com/docs/api.json get /v1/plans/{plan}
openapi: 3.1.0
info:
  title: Givebutter API Documentation
  version: 1.0.0
  description: >-
    Givebutter Public API - Access and manage your campaigns, contacts,
    transactions, and more.
servers:
  - url: https://api.givebutter.com/
security:
  - http: []
paths:
  /v1/plans/{plan}:
    get:
      tags:
        - Recurring Plans
      summary: Get a recurring plan
      operationId: plans.show
      parameters:
        - name: plan
          in: path
          required: true
          description: The plan uid
          schema:
            type:
              - string
              - 'null'
        - name: first_name
          in: query
          schema:
            type: string
            maxLength: 255
        - name: last_name
          in: query
          schema:
            type: string
            maxLength: 255
        - name: email
          in: query
          schema:
            type: string
        - name: amount
          in: query
          schema:
            type: string
      responses:
        '200':
          description: '`RecurringPlanResource`'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RecurringPlanResource'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
components:
  schemas:
    RecurringPlanResource:
      type: object
      properties:
        id:
          type: string
        contact_id:
          type: string
        first_name:
          type: string
        last_name:
          type: string
        email:
          type: string
        phone:
          type: string
        frequency:
          type: string
        status:
          type: string
        method:
          type: string
        amount:
          type: string
        fee_covered:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
        start_at:
          type: string
        canceled_at:
          type: string
        next_bill_date:
          type: string
      required:
        - id
        - contact_id
        - first_name
        - last_name
        - email
        - phone
        - frequency
        - status
        - method
        - amount
        - fee_covered
        - created_at
        - updated_at
        - start_at
        - canceled_at
        - next_bill_date
      title: RecurringPlanResource
  responses:
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer

````